Bug 504445 - F11 update: package downloads failed
F11 update: package downloads failed
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-06 21:57 EDT by Dick Franks
Modified: 2009-08-20 11:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-20 11:43:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from yum update (7.77 KB, text/plain)
2009-06-06 21:57 EDT, Dick Franks
no flags Details

  None (edit)
Description Dick Franks 2009-06-06 21:57:09 EDT
Created attachment 346770 [details]
output from yum update

Description of problem:

Routine update process fails to download required packages. 


Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Select "show updates" under desktop update icon
2. Select "install updates"
3.
  
Actual results:

Error pop-up:
The package download failed.
Please check your network connectivity.

> More details

Errors were encountered while downloading packages.
nash-6.0.86-2.fc11.i586: failure: Packages/nash-6.0.86-2.fc11.i586.rpm from fedora: (256, 'No more mirrors to try.')
grubby-6.0.86-2.fc11.i586: failure: Packages/grubby-6.0.86-2.fc11.i586.rpm from fedora: (256, 'No more mirrors to try.')
mkinitrd-6.0.86-2.fc11.i586: failure: Packages/mkinitrd-6.0.86-2.fc11.i586.rpm from fedora: (256, 'No more mirrors to try.')


Expected results:

Update selected packages.


Additional info:

yum update produces similar result, but with more informative output (attached).

"Check network connectivity" is a truly idiotic suggestion in this context.
Comment 1 Richard Hughes 2009-06-07 08:11:55 EDT
(In reply to comment #0)
> "Check network connectivity" is a truly idiotic suggestion in this context.  

Do you have a better suggestion?
Comment 2 Dick Franks 2009-06-07 22:17:11 EDT
(In reply to comment #1)
> (In reply to comment #0)
> > "Check network connectivity" is a truly idiotic suggestion in this context.  
> 
> Do you have a better suggestion?  

Delete these unnecessary words.

Metadata and package headers have been obtained only a few seconds earlier using same network. The probability of a network failure arising in these few seconds is very small.

The message pop-up should confine itself to reporting the available facts and avoid leaping to some entirely speculative diagnosis.

Network failure is certainly not to blame on this occasion.
Comment 3 Richard Hughes 2009-06-08 05:03:45 EDT
(In reply to comment #2)
> Metadata and package headers have been obtained only a few seconds earlier
> using same network.

Not if they've been cached by a previous run.

> The message pop-up should confine itself to reporting the available facts and
> avoid leaping to some entirely speculative diagnosis.

So what title should I put on the window?
Comment 4 Dick Franks 2009-06-08 09:53:05 EDT
(In reply to comment #3)
> (In reply to comment #2)
> > Metadata and package headers have been obtained only a few seconds earlier
> > using same network.
> 
> Not if they've been cached by a previous run.
> 
> > The message pop-up should confine itself to reporting the available facts and
> > avoid leaping to some entirely speculative diagnosis.
> 
> So what title should I put on the window?  

"Package download failed" is fine.
That is exactly what happened.

"Details" window identifies packages affected. Also good.

There is no need to speculate about the underlying reason unless there is solid evidence that can be presented to the user.
Comment 5 Bug Zapper 2009-06-09 13:11:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Dick Franks 2009-06-11 12:42:50 EDT
Problem with three packages seems to have disappeared when F11 released.

The only remaining issue is the wording of error messages in comment #4, which I suppose is an improvement more than an open problem.
Comment 7 Richard Hughes 2009-08-20 11:43:29 EDT
(In reply to comment #6)
> Problem with three packages seems to have disappeared when F11 released.

Cool, thanks.

Note You need to log in before you can comment on or make changes to this bug.